summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorNirbheek Chauhan <nirbheek@gentoo.org>2011-01-17 05:01:25 +0530
committerNirbheek Chauhan <nirbheek@gentoo.org>2011-01-17 05:01:25 +0530
commit30609047f9d27a6967cab6aab4c111acd3a35934 (patch)
treeb9e144231282c3313cd374ae3f259eb76891b1fc /eclass
parentgnome-base/dconf: add live version (diff)
downloadgnome-30609047f9d27a6967cab6aab4c111acd3a35934.tar.gz
gnome-30609047f9d27a6967cab6aab4c111acd3a35934.tar.bz2
gnome-30609047f9d27a6967cab6aab4c111acd3a35934.zip
gnome2-live.eclass: add messages about commands run
Diffstat (limited to 'eclass')
-rw-r--r--eclass/gnome2-live.eclass8
1 files changed, 8 insertions, 0 deletions
diff --git a/eclass/gnome2-live.eclass b/eclass/gnome2-live.eclass
index 8fed62d1..644083f1 100644
--- a/eclass/gnome2-live.eclass
+++ b/eclass/gnome2-live.eclass
@@ -68,18 +68,26 @@ gnome2-live_src_prepare() {
done
if grep -qe 'GTK_DOC' configure.*; then
+ ebegin "Running gtkdocize"
gtkdocize
+ eend $?
fi
if grep -qe 'GNOME_DOC_INIT' configure.*; then
+ ebegin "Running gnome-doc-common"
gnome-doc-common
+ eend $?
+ ebegin "Running gnome-doc-prepare --automake"
gnome-doc-prepare --automake
+ eend $?
fi
if grep -qe "IT_PROG_INTLTOOL" -e "AC_PROG_INTLTOOL" configure.*; then
if grep -qe "AC_PROG_INTLTOOL" configure.*; then
eqawarn "This package is using deprecated AC_PROG_INTLTOOL macro."
eqawarn "Please fill a bug to the upstream of this package."
fi
+ ebegin "Running intltoolize --force"
intltoolize --force
+ eend $?
fi
if test -e m4; then
AT_M4DIR=m4 eautoreconf